Retrieves all the user_planning_slot
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "7e80325f-9e21-4be8-8089-9def7a59c9e7",
"user_id": "d4aeee9e-2dd7-4d8c-b9b1-50725d5627b8",
"user_planning_slot_type_id": "d3e7d3e5-2b1a-44bb-bb3e-f3035522d7ed",
"date_from": "2026-11-09T19:47:12.4365236+00:00",
"date_to": "2026-11-09T19:47:12.4365236+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-11-09T19:47:12.4365236+00:00"
}